#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int K,k=1,a=1;
    scanf("%d",&K);
    for(int i=1;i<=K*3;i++)
    {
        printf("%d %d\n",k,i);
        if(i%3==0)
        {
            k=k+a;
            a++;
        }
    }
    return 0;
}